TYPO3.Neos - Task # 30099

Status: Resolved Priority: Should have
Author: Rens Admiraal Category:

Created: 2011-09-20 Assigned To: Rens Admiraal
Updated: 2012-07-31 Due date:

Subiject: Add posibility to scale images during upload

Description

Give users the posibility to scale images during the upload, so they can upload a full-scale image which is automatically downsized

and stored as the original. For example:

- 800 x 600
-1024 x 768
- don't scale

Associated revisions

Revision 5465c0b0 - 2012-07-31 09:43 - Rens Admiraal

[FEATURE] Make image resizing possible

Add support for width / height in the image editor, proportions
are maintained based on the cropped size / original size.

Introduces Ember objects for crop / image properties to

prevent recursion errors occurring by watching plain

objects.

Furthermore, we fix an image rendering bug in Frontend output.
Resolves: #30099

Change-Id: 1233194646160b7cd0768ae9255e3a254ac4ae71a

History

#1 - 2011-11-07 10:21 - Sebastian Kurfuerst
- Status changed from New to Accepted
- Assigned To set to Rens Admiraal

Work in Progress: https://review.typo3.org/#change,5245

#2 - 2011-11-07 10:21 - Sebastian Kurfuerst
- Assigned To deleted (Rens Admiraal)
- % Done changed from 0 to 30

#3 - 2011-11-10 10:27 - Sebastian Kurfuerst

WIP can be found at https://review.typo3.org/#change,5245
#4 - 2011-11-23 13:40 - Rens Admiraal
- % Done changed from 30 to 60

#5 - 2011-11-23 14:18 - Sebastian Kurfuerst
- Assigned To set to Rens Admiraal

#6 - 2012-03-09 15:06 - Karsten Dambekalns
- Project changed from Base Distribution to TYPO3.Neos

#7 - 2012-07-31 09:43 - Gerrit Code Review

Patch set 9 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/5245

#8 - 2012-07-31 10:35 - Rens Admiraal
- Status changed from Accepted to Resolved
- % Done changed from 60 to 100

Applied in changeset commit:5465c0b0975090262f8947e1ae8ebaa442950633.

2015-08-03

22


http://review.typo3.org/5245

